Adoptable Cookbooks List

Looking for a cookbook to adopt? You can now see a list of cookbooks available for adoption!
List of Adoptable Cookbooks

Supermarket Belongs to the Community

Supermarket belongs to the community. While Chef has the responsibility to keep it running and be stewards of its functionality, what it does and how it works is driven by the community. The chef/supermarket repository will continue to be where development of the Supermarket application takes place. Come be part of shaping the direction of Supermarket by opening issues and pull requests or by joining us on the Chef Mailing List.

Select Badges

Select Supported Platforms

RSS

aws_developer_tools (4) Versions 3.1.3

Installs/Configures aws_developer_tools

Berkshelf/Librarian
Policyfile
Knife
cookbook 'aws_developer_tools', '~> 3.1.3'
cookbook 'aws_developer_tools', '~> 3.1.3', :supermarket
knife cookbook site install aws_developer_tools
knife cookbook site download aws_developer_tools
README
Dependencies
Quality

Chef Cookbook for AWS Developer Tools

Description

Setup AWS Developer Tools for easier AWS server management. http://aws.amazon.com/developertools

API and AutoScaling Tools require java; by default, OpenJDK is installed. See the java cookbook for information on how to install Oracle's JDK.

Requirements

  • Ruby 1.9+
  • Java
  • Tested on Ubuntu 10.04

Attributes

default['aws_developer_tools']['install_java?'] = true  # set to `false` if you'd rather install java yourself
default['aws_developer_tools']['install_ruby?'] = true  # set to `false` if you'd rather install ruby yourself

default['aws_developer_tools']['aws_access_key'] = 'Your Access Key'  # you must set this if installing the API tools.
default['aws_developer_tools']['aws_secret_key'] = 'Your Secret Key'  # you must set this if installing the API tools.

## EC2 Tools ##
default['aws_developer_tools']['ec2_tools_target'] = '/usr/local/share/ec2_tools'

default['aws_developer_tools']['api']['source'] = 'http://s3.amazonaws.com/ec2-downloads/ec2-api-tools.zip'
default['aws_developer_tools']['api']['install_target'] = node['aws_developer_tools']['ec2_tools_target']

default['aws_developer_tools']['ami']['source'] = 'http://s3.amazonaws.com/ec2-downloads/ec2-ami-tools.zip'
default['aws_developer_tools']['ami']['install_target'] = node['aws_developer_tools']['ec2_tools_target']
###############

## AWS Tools ##
default['aws_developer_tools']['aws_tools_target'] = '/usr/local/share/aws_tools'

default['aws_developer_tools']['auto_scaling']['source'] = 'http://ec2-downloads.s3.amazonaws.com/AutoScaling-2011-01-01.zip'
default['aws_developer_tools']['auto_scaling']['install_target'] = "#{default['aws_developer_tools']['aws_tools_target']}/auto_scaling"

default['aws_developer_tools']['elb']['source'] = 'http://ec2-downloads.s3.amazonaws.com/ElasticLoadBalancing.zip'
default['aws_developer_tools']['elb']['install_target'] = "#{default['aws_developer_tools']['aws_tools_target']}/elb"

default['aws_developer_tools']['cloudwatch']['source'] = 'http://ec2-downloads.s3.amazonaws.com/CloudWatch-2010-08-01.zip'
default['aws_developer_tools']['cloudwatch']['install_target'] = "#{default['aws_developer_tools']['aws_tools_target']}/cloudwatch"
###############

See Setting Attributes (Examples).

Recipes

  • aws_developer_tools - runs the following recipes: ami, api, auto_scaling, cloudwatch, elb
  • aws_developer_tools::ami - AMI tools. Requires Ruby
  • aws_developer_tools::api - API tools. Requires Java
  • aws_developer_tools::auto_scaling - Auto Scaling tools. Requires Java
  • aws_developer_tools::cloudwatch - CloudWatch tools. Requires Java
  • aws_developer_tools::elb - Elastic Load Balancing tools. Requires Java
  • aws_developer_tools::aws_ha_release - AWS HA Release. Third-party script that replaces old instances with new ones; used when deploying new code to ensure all active instances are using the fresh code. Since this is a third-party script, it is not a part of the default recipe.

Written by Anuj Biyani for Lytro

Dependent cookbooks

chef_ruby >= 2.2.0
java >= 1.8.0

Contingent cookbooks

There are no cookbooks that are contingent upon this one.

Collaborator Number Metric
            

3.1.3 failed this metric

Failure: Cookbook has 0 collaborators. A cookbook must have at least 2 collaborators to pass this metric.

Contributing File Metric
            

3.1.3 passed this metric

Foodcritic Metric
            

3.1.3 failed this metric

FC039: Node method cannot be accessed with key: aws_developer_tools/definitions/cli_tools.rb:19
FC064: Ensure issues_url is set in metadata: aws_developer_tools/metadata.rb:1
FC065: Ensure source_url is set in metadata: aws_developer_tools/metadata.rb:1
FC066: Ensure chef_version is set in metadata: aws_developer_tools/metadata.rb:1
FC067: Ensure at least one platform supported in metadata: aws_developer_tools/metadata.rb:1
FC069: Ensure standardized license defined in metadata: aws_developer_tools/metadata.rb:1
FC077: Metadata uses the deprecated "replaces" keyword: aws_developer_tools/metadata.rb:1
Run with Foodcritic Version 11.1.0 with tags metadata,correctness ~FC031 ~FC045 and failure tags any

License Metric
            

3.1.3 passed this metric

No Binaries Metric
            

3.1.3 passed this metric

Publish Metric
            

3.1.3 passed this metric

Supported Platforms Metric
            

3.1.3 failed this metric

aws_developer_tools should declare what platform(s) it supports.

Testing File Metric
            

3.1.3 failed this metric

Failure: To pass this metric, your cookbook metadata must include a source url, the source url must be in the form of https://github.com/user/repo, and your repo must contain a TESTING.md file

Version Tag Metric
            

3.1.3 passed this metric